#include "colors.inc"
#include "shapes.inc"
#include "golds.inc"

camera{
   location <0,50,-100>
   look_at <0,0,50> angle 35
}  

light_source{<-3,50,-10> color White}
light_source{<5,90,-15> color 2.5*White}

object{
   Plane_XZ pigment{checker color Red color Blue}
   scale 10.0
   translate <0,0,0>
}

#declare FRAME_N=90;//t[
#declare V0=25;//łグx
#declare Angle=radians(85);//łグpx
#declare Vx=V0*cos(Angle);//xX
#declare Vy=V0*sin(Angle);//xY 
#declare g=9.8;//d͉x
#declare Time=0.0;//oߎ
#declare Tmax=30;//Aj[V
#declare Time_interval=Tmax / FRAME_N;//t[Ƃ̎ԊԊu
#declare Nt=2*Vy/g;//\莞
#declare Bt=0.0;//łグ
#declare LoopMax=Tmax*clock+Time_interval/2;//vZI
#declare PosX=-Nt*Vx/2-10;//̃X^[gʒu
#while (Time<=LoopMax)
   #if(Time>=Nt)
       #declare Vy=Vy*0.8;
       #declare Bt=Nt;
       #declare Nt=Nt+2*Vy/g;
   #end
   #if((Time>Tmax*clock-Time_interval/2)&(Time<Tmax*clock+Time_interval/2))
      object{
          Sphere
          texture{T_Gold_1A}
          scale 3
          #declare Ty=Vy*(Time-Bt)-g*(Time-Bt)*(Time-Bt)/2;
          #if(Ty<0)
              #declare Ty=0;
          #end
          #declare Tx=Vx*Time+PosX;
          translate <Tx,Ty,Tx>
          translate <0,3,0>
      }
  #end
  #declare Time=Time+Time_interval;            

#end